package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Interface information list.
 */
@ApiModel(description = "Interface information list.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class StaticRoutingInterfaceInfo   {
  @JsonProperty("interfaceType")
  private Integer interfaceType;

  @JsonProperty("name")
  private String name;

  @JsonProperty("id")
  private String id;

  @JsonProperty("needNextHop")
  private Boolean needNextHop;

  public StaticRoutingInterfaceInfo interfaceType(Integer interfaceType) {
    this.interfaceType = interfaceType;
    return this;
  }

  /**
   * Enter a value as follows: 0: WAN; 1: LAN; 2: L2TP, 3: PPTP, 5: Virtual WAN
   * @return interfaceType
  */
  @ApiModelProperty(value = "Enter a value as follows: 0: WAN; 1: LAN; 2: L2TP, 3: PPTP, 5: Virtual WAN")


  public Integer getInterfaceType() {
    return interfaceType;
  }

  public void setInterfaceType(Integer interfaceType) {
    this.interfaceType = interfaceType;
  }

  public StaticRoutingInterfaceInfo name(String name) {
    this.name = name;
    return this;
  }

  /**
   * Interface name.
   * @return name
  */
  @ApiModelProperty(value = "Interface name.")


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public StaticRoutingInterfaceInfo id(String id) {
    this.id = id;
    return this;
  }

  /**
   * Interface ID.
   * @return id
  */
  @ApiModelProperty(value = "Interface ID.")


  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public StaticRoutingInterfaceInfo needNextHop(Boolean needNextHop) {
    this.needNextHop = needNextHop;
    return this;
  }

  /**
   * Parameter [needNextHop] will be true when [interfaceType] is WAN or virtual WAN, and proto is DHCP or static.
   * @return needNextHop
  */
  @ApiModelProperty(value = "Parameter [needNextHop] will be true when [interfaceType] is WAN or virtual WAN, and proto is DHCP or static.")


  public Boolean getNeedNextHop() {
    return needNextHop;
  }

  public void setNeedNextHop(Boolean needNextHop) {
    this.needNextHop = needNextHop;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    StaticRoutingInterfaceInfo staticRoutingInterfaceInfo = (StaticRoutingInterfaceInfo) o;
    return Objects.equals(this.interfaceType, staticRoutingInterfaceInfo.interfaceType) &&
        Objects.equals(this.name, staticRoutingInterfaceInfo.name) &&
        Objects.equals(this.id, staticRoutingInterfaceInfo.id) &&
        Objects.equals(this.needNextHop, staticRoutingInterfaceInfo.needNextHop);
  }

  @Override
  public int hashCode() {
    return Objects.hash(interfaceType, name, id, needNextHop);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class StaticRoutingInterfaceInfo {\n");
    
    sb.append("    interfaceType: ").append(toIndentedString(interfaceType)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    needNextHop: ").append(toIndentedString(needNextHop)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

